<?php

namespace IPS\videobox;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * page active record
 */
class _Page extends \IPS\Patterns\ActiveRecord
{
	/**
	 * @brief	[ActiveRecord] Multiton Store
	 */
	protected static $multitons;

	/**
	 * @brief	[ActiveRecord] Database Table
	 */
	public static $databaseTable = 'videobox_pages';
	
	/**
	 * @brief	[ActiveRecord] Database Prefix
	 */
	public static $databasePrefix = 'vbp_';

	/**
	 * [ActiveRecord] Delete Record
	 *
	 * @return	void
	 */
	public function delete()
	{
		\IPS\File::unclaimAttachments( 'videobox_Pages', $page->id );		
		\IPS\Db::i()->delete( 'videobox_pages', array( 'vbp_id=?', $this->id ) );
		return parent::delete();
	}
	
	/**
	 * [ActiveRecord] Enable Toggle
	 *
	 * @return	void
	 */
	public function enableToggle($open)
	{
		$status = $open != 1 ? 1 : 0;
		\IPS\Db::i()->update( 'videobox_pages', array( 'vbp_open' => $status ), 'vbp_id=' . (int) \IPS\Request::i()->id );
	}	
}