<?php
/**
 * @brief		FeaturedVideos Widget
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	videobox
 * @since		04 Apr 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\videobox\widgets;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * FeaturedVideos Widget
 */
class _FeaturedVideos extends \IPS\Content\Widget
{
	/**
	 * @brief	Widget Key
	 */
	public $key = 'FeaturedVideos';
	
	/**
	 * @brief	App
	 */
	public $app = 'videobox';
		
	/**
	 * @brief	Plugin
	 */
	public $plugin = '';
	
	/**
	 * Class
	 */
	protected static $class = 'IPS\videobox\Video';
	
	/**
	 * Specify widget configuration
	 *
	 * @param	null|\IPS\Helpers\Form	$form	Form object
	 * @return	null|\IPS\Helpers\Form
	 */
	public function configuration( &$form=null )
	{
 		$form = parent::configuration( $form );
		
		unset($form->elements[""]['widget_feed_min_rating']);
		
		// Custom Fields
		$customFields = array();
		foreach ( \IPS\Db::i()->select( 'cf_id', 'videobox_cfields', NULL, 'cf_position' ) as $fieldId )
		{
			$customFields[ $fieldId ] = \IPS\Member::loggedIn()->language()->addToStack( "videobox_field_{$fieldId}" );
		}	
		
		if ( !empty( $customFields ) )
		{
			$form->add( new \IPS\Helpers\Form\Select( 'vb_conf_featured_fields', isset( $this->configuration['vb_conf_featured_fields'] ) ? $this->configuration['vb_conf_featured_fields'] : 0, FALSE, array( 'options' => $customFields, 'multiple' => TRUE ) ) );
		}	
		
		
		// Output form
 		return $form;
 	} 
 	
	/**
	 * Get HTML using the template (language strings not parsed)
	 *
	 * @return	string
	 */	
	public function output()
	{
		$args = \func_get_args();
		$args['conf'] = $this->configuration;
		$args['orientation'] = $this->orientation;
		
		$output = \call_user_func_array( $this->template, $args );

		return $output;
	}
	
	
}