<?php
/**
 * @brief		videoboxCategories Widget
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	videobox
 * @since		14 Jun 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\videobox\widgets;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * videoboxCategories Widget
 */
class _videoboxCategories extends \IPS\Widget
{
	/**
	 * @brief	Widget Key
	 */
	public $key = 'videoboxCategories';
	
	/**
	 * @brief	App
	 */
	public $app = 'videobox';
		
	/**
	 * @brief	Plugin
	 */
	public $plugin = '';
	
	/**
	 * Initialise this widget
	 *
	 * @return void
	 */ 
	public function init()
	{
		parent::init();
	}

	/**
	 * Render a widget
	 *
	 * @return	string
	 */
	public function render()
	{
		if ( \IPS\Request::i()->app == 'videobox'  and \IPS\Request::i()->module == 'video' and \IPS\Request::i()->controller == 'browse' and \IPS\Request::i()->id > 0 )
		{
			try
			{
				$cat = \IPS\videobox\Category::loadAndCheckPerms( \IPS\Request::i()->id, 'read' );
			}
			catch ( \OutOfRangeException $e )
			{
				\IPS\Output::i()->error( 'node_error', '2BIMVB112/1', 404 );
			}			
		}
		return $this->output($cat);
	}
}